#pragma once

#include "RESOURCE_COMMON.h"

#define SHADER_BUFFER_SIZE 2048

void resource_shader_free(Resources* self, ShaderType type);
bool resource_shader_init(Resources* self, ShaderType type);
void resource_shader_read(Resources* self);
void resource_shader_state_free(Resources* self, const ShaderType* types, u32 count);
void resource_shader_state_init(Resources* self, const ShaderType* types, u32 count);
